<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note Storage</title>
    <!-- Styling halaman menggunakan css -->
    <style type="text/css">
      body {
        font-family: 'Times New Roman', Times, serif;
        color: rgb(3, 1, 100);
        text-align: center;
        background-color: #b4dae9
      }
      h1 {
          font-family: 'Times New Roman', Times, serif
      }
      </style>
  </head>
    <style>
      table {
        font-family: 'Times New Roman', Times, serif;
        align-self: center;
        border: 2px solid rgb(3, 1, 100);
        border-collapse: collapse;
        margin-left: auto; 
        margin-right: auto;
      }
      th, td  {
        border: 2px solid rgb(3, 1, 100);
        padding: 8px 20px;
      }
      th {
        font-family: 'Times New Roman', Times, serif;
        color: rgb(3, 1, 100);
        text-align: center;
        background-color: #e7eecf;
      }
      td {
        color: rgb(3, 1, 100);
        background-color: #e7eecf;
      }
    </style>

  <body>
    <h1>Notes Storage</h1> <!-- Halaman akan menampilkan heading dengan tulisan "Notes Storage" -->
    <table>
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      <!-- TODO loop from note model -->
      {% if note %} <!-- Melakukan pengecekan apakah note terdefinisi  -->
      {% for i in note %} <!-- For loop berjalan untuk setiap i pada note -->
      <tr>
        <td>{{ i.To }}</td> <!-- Menambahkan atribut To, From, Title, dan Message dari tiap note ke table -->
        <td>{{ i.From }}</td>
        <td>{{ i.Title }}</td>
        <td>{{ i.Message }}</td>
      </tr>
      {% endfor %} <!-- Akhir dari loop -->
      {% endif %} <!-- Akhir dari conditional statement if -->
    </tr>
    </table>
  </body>
</html>
